System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Runtime.InteropServices.ComVisible(true)

The identifiers defined in the enumeration can be used to indicate the scope and access attributes of a class member.

There is no Virtual member attribute. A member is declared virtual by setting its member access to (property1.Attributes = MemberAttributes.Public) without specifying it as . The absence of the flag makes a member virtual in C# (public virtual), overrideable in Visual Basic (Public Overrideable). To avoid declaring the member as virtual or overrideable, set both the and flags in the property. See the property for more information on setting member attributes.

The pattern for setting the access flags (flags containing the terms Public, Private, Assembly, or Family) is to mask out all access flags using the mask and then set the desired access flag. For example, the code statement to identify a constructor (named constructor1) as public is constructor1.Attributes = (constructor1.Attributes & ~MemberAttributes.AccessMask) | MemberAttributes.Public;. Setting the property directly to an access flag (for example, constructor1.Attributes = MemberAttributes.Public;) erases all other flags that might be set. This pattern should also be used for setting the scope flags (, , , or ) using the mask.

Defines member attribute identifiers for class members.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.MemberAttributes To be added

  An abstract member.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.MemberAttributes To be added

  An access mask.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.MemberAttributes To be added

  A member that is accessible to any class within the same assembly.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.MemberAttributes To be added

  A constant member.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.MemberAttributes To be added

  A member that is accessible within the family of its class and derived classes.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.MemberAttributes To be added

  A member that is accessible within its class, and derived classes in the same assembly.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.MemberAttributes To be added

  A member that is accessible within its class, its derived classes in any assembly, and any class in the same assembly.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.MemberAttributes To be added

  A member that cannot be overridden in a derived class.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.MemberAttributes To be added

  A new member.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.MemberAttributes To be added

  An overloaded member. Some languages, such as Visual Basic, require overloaded members to be explicitly indicated.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.MemberAttributes To be added

  A member that overrides a base class member.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.MemberAttributes To be added

  A private member.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.MemberAttributes To be added

  A public member.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.MemberAttributes To be added

  A scope mask.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.MemberAttributes To be added

  A static member. In Visual Basic, this is equivalent to the Shared keyword.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.MemberAttributes To be added

  A VTable mask.